/*      CaS, performs conversion from textfiles to .CAS files
 *
 * (c) 1996 Tom Wheeley <tomw@tsys.demon.co.uk>  All Rights Reserved
 *
 * You may freely use parts of this source code, provided that you:
 *  + Acknowledge the fact you used CaS source code in your program, visibly
 *    to your program's users.
 *  + Send the author of CaS a copy of your program.
 *  + You are not under obligation to include source for your program, but
 *    that is preferred.
 *
 */
 
/*
 * COMMSYS.H    Communications module header
 *
 * This should be included in any serial drivers written for CaS, and all the
 * functions detailed below should be provided to some extent.
 */

#ifndef _CAS_COMMSYS_H_
#define _CAS_COMMSYS_H_

int     COMsysInit(char *filename, int baud, char parity, int handshake);
void    COMsysClose(void);
void    COMsysPutChar(unsigned char data);
unsigned char   COMsysGetChar(void);
unsigned char   COMsysGetCharTimeout(int *success_r,unsigned int modifier);

/* communications settings */
#define CASPORT_ODD             'O'
#define CASPORT_NONE            'N'
#define CASPORT_EVEN            'E'

/* Handshaking (used to power interface) */
#define CASPORT_RTS             1
#define CASPORT_DTR             2

#endif /* _CAS_COMMSYS_H_ */

/* end of commsys.h */
