/*      CaS, performs conversion from textfiles to .CAS files
 *
 * (c) 1996 Tom Wheeley <tomw@tsys.demon.co.uk>  All Rights Reserved
 *
 * You may freely use parts of this source code, provided that you:
 *  + Acknowledge the fact you used CaS source code in your program, visibly
 *    to your program's users.
 *  + Send the author of CaS a copy of your program.
 *  + You are not under obligation to include source for your program, but
 *    that is preferred.
 *
 */
 
#ifndef _CAS_FBMP_H_
#define _CAS_FBMP_H_

/* MS-Windows 3.0 Bitmap structures
 *
 * Courtesy of the PC Game Programmers Encylopaedia (x2ftp.oulu.fi)
 *
 *   WARNING: Usage of these is based on little-endian machine.  Sorry.
 */

/* May need to be changed for compilers other than DJGPP */

typedef unsigned short  UINT;       /* 16 bit unsigned */
typedef unsigned long   DWORD;      /* 32 bit unsigned */
typedef long            LONG;       /* 32 bit */
typedef unsigned short  WORD;       /* 16 bit unsigned */
typedef unsigned char   BYTE;       /* 8 bit unsigned */

typedef struct tagBITMAPFILEHEADER {    /* bmfh */
    UINT    bfType;
    DWORD   bfSize;
    UINT    bfReserved1;
    UINT    bfReserved2;
    DWORD   bfOffBits;
} BITMAPFILEHEADER;

#ifdef __DJGPP__
typedef struct A_tagBITMAPFILEHEADER {    /* bmfh */
    UINT    bfType;
    DWORD   bfSize __attribute__ ((packed));
    UINT    bfReserved1;
    UINT    bfReserved2 __attribute__ ((packed));
    DWORD   bfOffBits __attribute__ ((packed));
} A_BITMAPFILEHEADER;
#else
typedef struct A_tagBITMAPFILEHEADER {    /* bmfh */
    UINT    bfType;
    DWORD   bfSize;
    UINT    bfReserved1;
    UINT    bfReserved2;
    DWORD   bfOffBits;
} A_BITMAPFILEHEADER;
#endif

typedef struct tagBITMAPINFOHEADER {    /* bmih */
    DWORD   biSize;
    LONG    biWidth;
    LONG    biHeight;
    WORD    biPlanes;
    WORD    biBitCount;
    DWORD   biCompression;
    DWORD   biSizeImage;
    LONG    biXPelsPerMeter;
    LONG    biYPelsPerMeter;
    DWORD   biClrUsed;
    DWORD   biClrImportant;
} BITMAPINFOHEADER;

/*
 *  Reason behind A_BITMAPINFOHEADER structure.
 *
 *  For some wierdo reason, the first element on the structure always seems
 *  to get set to 0;  I couldn't find out why, so I just worked around the
 *  problem.  Just use (&bmih.biSize) to refer to the structure.
 *
 */

typedef struct A_tagBITMAPINFOHEADER {    /* bmih */
    DWORD    dummy;
    DWORD   biSize;
    LONG    biWidth;
    LONG    biHeight;
    WORD    biPlanes;
    WORD    biBitCount;
    DWORD   biCompression;
    DWORD   biSizeImage;
    LONG    biXPelsPerMeter;
    LONG    biYPelsPerMeter;
    DWORD   biClrUsed;
    DWORD   biClrImportant;
} A_BITMAPINFOHEADER;


typedef struct tagRGBQUAD {     /* rgbq */
    BYTE    rgbBlue;
    BYTE    rgbGreen;
    BYTE    rgbRed;
    BYTE    rgbReserved;
} RGBQUAD;

#ifdef CAS

void    BMPReadData(char *filename,casinfo *info_r);
void    BMPWriteData(char *filename,casinfo *info);
bool    BMPReadHeader(FILE *bmp,casinfo *info_r);
void    BMPWriteHeader(FILE *bmp, casinfo *info);

#endif /* CAS */

#endif /* _CAS_FBMP_H_ */

/* end of fbmp.h */

