/*      CaS, performs conversion from textfiles to .CAS files
 *
 * (c) 1996 Tom Wheeley <tomw@tsys.demon.co.uk>  All Rights Reserved
 *
 * You may freely use parts of this source code, provided that you:
 *  + Acknowledge the fact you used CaS source code in your program, visibly
 *    to your program's users.
 *  + Send the author of CaS a copy of your program.
 *  + You are not under obligation to include source for your program, but
 *    that is preferred.
 *
 */
 
#ifndef _CAS_FCOM_H_
#define _CAS_FCOM_H_

void    COMReadData(char *filename,casinfo *info_r);
void    COMWriteData(char *filename,casinfo *info);
void    COMPutBlock(unsigned char *data,size_t size);
void    COMGetBlock(unsigned char *data,size_t size);
void    COMCheckResponse(unsigned char response);
void    COMReadRaw(casinfo *info_r);
void    COMWriteRaw(casinfo *info);
void    COMParseArgs(char **argv, int *baud, int *parity, int *hand);

#define CASPORT_DOTSIZE         128

/* protocol defines */
#define CASPORT_OK              0x06
#define CASPORT_TX_READY        0x16
#define CASPORT_RX_READY        0x13
#define CASPORT_AREAFULL        0x21
#define CASPORT_OVERWRITE       0x06
#define CASPORT_CANCEL          0x15
#define CASPORT_MEMFULL         0x24
#define CASPORT_BADCSUM         0x2b
#define CASPORT_WRONGTYPE       0x22
#define CASPORT_BADFILE         0x3f /* unknown what this _really_ means */

#endif /* _CAS_FCOM_H_ */

/* end of fcom.h */

