/*      CaS, performs conversion from textfiles to .CAS files
 *
 * (c) 1996 Tom Wheeley <tomw@tsys.demon.co.uk>  All Rights Reserved
 *
 * You may freely use parts of this source code, provided that you:
 *  + Acknowledge the fact you used CaS source code in your program, visibly
 *    to your program's users.
 *  + Send the author of CaS a copy of your program.
 *  + You are not under obligation to include source for your program, but
 *    that is preferred.
 *
 */
 
/*
 * FTXT.H   Reads, parses and outputs text files.
 */

#ifndef CAS_FTXT_H
#define CAS_FTXT_H

#define PARSE_LINESIZE			1024
#define PARSE_TOKSIZE			16

#define PARSE_DOUBLEQUOTE       34
#define PARSE_SINGLEQUOTE       39
#define PARSE_NEWLINE           13
#define PARSE_COLON             58

void    TXTReadData(char *filename,casinfo *info_r,tokenlist *toklis);
void    TXTWriteData(char *filename,casinfo *info,tokenlist *toklis);
bool    TXTReadHeader(char *line, casinfo *info_r, int *n, int lineno);
int     TXTReadToken(FILE *txt, tokenlist *toklis, char **lpos, int lineno);
void    TXTStripComments(char *line, int lineno);

#endif /* CAS_FTXT_H */

/* end of ftxt.h */
