/*      CaS, performs conversion from textfiles to .CAS files
 *
 * (c) 1996 Tom Wheeley <tomw@tsys.demon.co.uk>  All Rights Reserved
 *
 * You may freely use parts of this source code, provided that you:
 *  + Acknowledge the fact you used CaS source code in your program, visibly
 *    to your program's users.
 *  + Send the author of CaS a copy of your program.
 *  + You are not under obligation to include source for your program, but
 *    that is preferred.
 *
 */
 
#ifndef _CAS_S9700_H_
#define _CAS_S9700_H_

#define SS_9700_STYLE       'D'
#define SS_9800_STYLE       'R'

#define CAS_PZ_NUMPROGS     38      /* Number of programs in PZ file */

/* Err, umm, unsigned char is 8 bits, ok */

typedef struct {
  unsigned char magic[2];        /* indicates the file type */
  unsigned char misc[5];         /* miscellaneous data */
  unsigned char filename[12];    /* Editor filename */
  unsigned char password[12];    /* Editor password */
  unsigned char reserved[7];     /* Normally FF FF FF, reserved? */
} casheader;

typedef struct {
  unsigned char unknown1;
  unsigned char sizehi;          /* Big-endian size of program, including */
  unsigned char sizelo;          /* start/stop chars and checksum */
  unsigned char progtype;        /* Program type */
  unsigned char unknown3;
} prgheader;

void ReadData_9700(casinfo *info_r, void (* rdfunc)(unsigned char *, size_t));
void WriteData_9700(casinfo *info_r, void (* wrfunc)(unsigned char *, size_t));
void ClearHeader(casheader *hdr, int matchnum, char misc);

#endif /* _CAS_S9700_H_ */

/* end of s9700.h */

