#   CaS Token Control File
#
#   Type          :  (not a token file)
#   Author        :  Tom Lynn and Tom Wheeley
#   Contact       :  <tomw@tsys.demon.co.uk>
#   Created       :  96/07/08
#   Last Modified :  96/08/04
#
#   Description   :  Specifies the status of various tokens; whether they
#                 :  are in use and if so with which calculators.
#   Key           :  7=Not in 7700, 8=Not in 8700, 9=Not in 9700
#                 :  !=Only accessible using CaS (not in calc. prog mode)

# Note, ctokens > 255 are _shifted_, and use two bytes:
#
#  0x7f, ctoken-256
#
# thus complex i (ctoken 336) is really [127, 80]

#cto| Bits | Recommended       Meaning
#ken| !789 |    symbol
#=====================================================================
   1|      | femto             femto
   2|      | pico              pico
   3|      | nano              nano
   4|      | micro             micro
   5|      | milli             milli
   6|      | kilo              kilo
   7|      | Mega              Mega
   8|      | Giga              Giga
   9|      | Tera              Tera
  10|      | Peta              Peta
  11|      | Exa               Exa
  12|      | _                 display triangle thing
  13|      | \n                new line
  14|      | ->                store value in variable
  15|      | \exp              exponential
  16|      | <=                less than or equal to
  17|      | <>                not equal to
  18|      | >=                greater than or equal to
  19|      | =>                then
  20|      | \f1               function memory 1
  21|      | \f2               function memory 2
  22|      | \f3               function memory 3
  23|      | \f4               function memory 4
  24|      | \f5               function memory 5
  25|      | \f6               function memory 6
  26|      | \A                hex digit A
  27|      | \B                hex digit B
  28|      | \C                hex digit C
  29|      | \D                hex digit D
  30|      | \E                hex digit E
  31|      | \F                hex digit F
  32|      |                   space
  33| !    | \!                fake exclamation mark
  34|      | "                 quotes
  35|      | #                 hash
  36| !    | $                 dollar
  37| !    | \%                percent sign
  38| !    | &                 ampersand
  39|      | '                 apostrophe
  40|      | (                 left parenthesis
  41|      | )                 right parenthesis
  42| !    | \*                asterisk
  43| !    | \+                fake plus
  44|      | ,                 comma
  45| !    | \-                fake minus
  46|      | .                 decimal point
  47|      | /                 foreslash
  48|      | 0                 0
  49|      | 1                 1
  50|      | 2                 2
  51|      | 3                 3
  52|      | 4                 4
  53|      | 5                 5
  54|      | 6                 6
  55|      | 7                 7
  56|      | 8                 8
  57|      | 9                 9
  58|      | :                 colon
  59|      | ;                 semi-colon
  60|      | <                 less than
  61|      | =                 equal to
  62|      | >                 greater than
  63|      | ?                 question mark
  64| !    | @64               at
  65|      | A                 upper-case A
  66|      | B                 upper-case B
  67|      | C                 upper-case C
  68|      | D                 upper-case D
  69|      | E                 upper-case E
  70|      | F                 upper-case F
  71|      | G                 upper-case G
  72|      | H                 upper-case H
  73|      | I                 upper-case I
  74|      | J                 upper-case J
  75|      | K                 upper-case K
  76|      | L                 upper-case L
  77|      | M                 upper-case M
  78|      | N                 upper-case N
  79|      | O                 upper-case O
  80|      | P                 upper-case P
  81|      | Q                 upper-case Q
  82|      | R                 upper-case R
  83|      | S                 upper-case S
  84|      | T                 upper-case T
  85|      | U                 upper-case U
  86|      | V                 upper-case V
  87|      | W                 upper-case W
  88|      | X                 upper-case X
  89|      | Y                 upper-case Y
  90|      | Z                 upper-case Z
  91|      | [                 left bracket
  92| !    | \yen              Yen sign
  93|      | ]                 right bracket
  94| !    | \^                fake caret
  95| !    | \_                underscore
  96| !    | `                 back apostrophe
  97|      | a                 lower-case a
  98|      | b                 lower-case b
  99|      | c                 lower-case c
 100|      | d                 lower-case d
 101|      | e                 lower-case e
 102|      | f                 lower-case f
 103|      | g                 lower-case g
 104|      | h                 lower-case h
 105|      | i                 lower-case i
 106|      | j                 lower-case j
 107|      | k                 lower-case k
 108|      | l                 lower-case l
 109|      | m                 lower-case m
 110|      | n                 lower-case n
 111|      | o                 lower-case o
 112|      | p                 lower-case p
 113|      | q                 lower-case q
 114|      | r                 lower-case r
 115|      | s                 lower-case s
 116|      | t                 lower-case t
 117|      | u                 lower-case u
 118|      | v                 lower-case v
 119|      | w                 lower-case w
 120|      | x                 lower-case x
 121|      | y                 lower-case y
 122|      | z                 lower-case z
 123| !    | {                 left curly brace
 124| !    | |                 pipe
 125| !    | }                 right curly brace
 126|      | ~                 tilde
#127|      |{Shift code}
 128|      | Pol(              convert to polar co-ords
 129|      | sin               sine
 130|      | cos               cosine
 131|      | tan               tangent
 132|      | \&h               base hex
 133|      | ln                natural log
 134|      | \sqrt             square root
 135|      | (-)               unary negative
 136|      | nPr               permutations
 137|      | +                 plus
 138|      | xnor              logical xnor
 139|      | \^2               squared
 140|      | \dms              dgs,mins,secs
 141|      | $dx(              integral(
 142| !    | Mod               modulo (?)
 143|      | \sumsqrx          summa x^2
#144|      |
 145|      | arcsin            arcsine
 146|      | arccos            arccosine
 147|      | arctan            arctangent
 148|      | \&d               base dec
 149|      | log               logarithm
 150|      | \cbrt             cube root
 151|      | Abs               absolute value
 152|      | nCr               combinations
 153|      | -                 minus
 154|      | xor               logical xor
 155|      | \^-1              reciprocal
 156|      | (deg)             in degrees
#157|      |
 158|      | Med               median
 159|      | \sumx             summma x
 160|      | Rec(              rectangular
 161|      | sinh              hyperbolic sine
 162|      | cosh              hyperbolic cosine
 163|      | tanh              hyperbolic tangent
 164|      | \&o               base octal
 165|      | e^                e (2.718...)
 166|      | Int               integer value
 167|      | Not               logical Not
 168|      | ^                 caret
 169|      | *                 multiply
 170|      | or                logical or
 171|      | !                 factorial
 172|      | (rad)             in radians
#173|      |
 174|      | Min               minimum datum
 175|      | \num              data count
#176|      |
 177|      | arsinh            hyperbolic inverse sine
 178|      | arcosh            hyperbolic inverse cosine
 179|      | artanh            hyperbolic inverse tangent
 180|      | \&b               base binary
 181|      | (10^)             exponent
 182|      | Frac              fraction part
 183|      | Neg               logical Neg (2's complement)
 184|      | \nrt              nth root
 185|      | /                 divide
 186|      | and               logical and
 187|      | %                 fraction delimiter a%b%c == a b/c
 188|      | (gra)             in gradients (gradians?)
#189|      |
 190|      | Max               maximum datum
 191|      | \sumsqry          summa y^2
 192|      | Ans               Ans memory
 193|      | Ran#              random number
 194|      | \_x               x-bar
 195|      | \_y               y-bar
 196|      | \xsd              std dev of x
 197|      | \xsdpop           std dev of x (population)
 198|      | \ysd              std dev of y
 199|      | \ysdpop           std dev of y (population)
 200|      | \regA             regression var A (y intercept)
 201|      | \regB             regression var B (gradient)
 202|      | \cor              product moment correlation coefficient
 203|      | \^x               x-hat; expected value of x given y
 204|      | \^y               y-hat; expected value of y given x
 205|      | \r                radius
 206|      | \th               theta
 207|      | \sumy             summa y
 208|      | \pi               pi (3.141...)
 209|      | Cls               clear screen
 210|      | Mcl               clear var mem
 211|      | Rnd               round nr. int
 212|      | Dec               base dec mode
 213|      | Hex               base hex mode
 214|      | Bin               base bin mode
 215|      | Oct               base oct mode
 216|      | Scl               clear statistics memories
 217|      | Norm              normal display mode
 218|      | Deg               degrees mode
 219|      | Rad               radians mode
 220|      | Gra               grads mode
 221|      | Eng               display in engineering symbols
 222|      | Intg              round down to nearest integer
 223|      | \sumxy            summa xy
 224|      | Plot              plot point
 225|      | Line              draw line
 226|      | Lbl               label
 227|      | Fix               fix decimal places
 228|      | Sci               fix significant figures
 229|      | Defm              define extra variable memories
 230|      | \cl               clear datum
 231|      | \dt               input datum
 232|      | Dsz               decrease, skip next if 0
 233|      | Isz               increase, skip next if 0
 234|      | Factor            graph zoom factor
 235|      | Range             graph range
 236|      | Goto              goto label
 237|      | Prog              call program
 238|      | Graph Y=          graph Y=
 239|      | Graph Integ(      graph integ(
 240|      | Graph Y>          graph Y>
 241|      | Graph Y<          graph Y<
 242|      | Graph Y>=         graph Y>=
 243|      | Graph Y<=         graph Y<=
 244|      | Graph r=          graph r=
 245|      | Graph (X,Y)=(     graph (X,Y)=
 246|      | \,                parametric graph comma
#247|      |
#248|      |
#249|      |
#250|      |
 251|      | \P(               normal distribution table (-oo ->  z )
 252|      | \Q(               normal distribution table ( 0  ->  z )
 253|      | \R(               normal distribution table ( z  -> +oo)
 254|      | \t(               normalise variable
#255|      |{End of Block character}
 256|      | Xmin              graph's X min
 257|      | Xmax              graph's X max
 258|      | Xscl              graph's X scale
#259|      |
 260|      | Ymin              graph's Y min
 261|      | Ymax              graph's Y max
 262|      | Yscl              graph's Y scale
#263|      |
 264|      | Tmin              graph's T/theta min
 265|      | Tmax              graph's T/theta max
 266|      | Tptch             graph's T/theta pitch
 267|      | Xfct              X zoom factor
 268|      | Yfct              Y zoom factor
#269|      |
#270|      |
#271|      |
 272| !    | $dx               integral dx  (`not-equal to x' in CASIOWIN)
 273| !    | LwLim             lower limit
 274| !    | UpLim             upper limit
 275| !    | Div               integer divide
 276| !    | d/dx              d/dx
 277| !    | \deltaX           delta X
 278| !    | \a??              fake a (unknown)
 279|      | DTx               x statistics data
 280|      | DTy               y statistics data
 281|      | DTf               frequency of statistics data
 282| !    |                   {existing, but non-printing char}
#283|      |
#284|      |
#285|      |
#286|      |
#287|      |
 288| !    | Fract             {unknown}
 289|      | Det               determinant
 290|      | Arg               argument
 291|      | Conjg             conjugate
 292|      | ReP               real part
 293|      | ImP               imaginary part
 294|      | d/dx(             differentiate
#295|      |
#296|      |
 297|      | \sum(             summa (
#298|      |
#299|      |
#300|      |
#301|      |
#302|      |
#303|      |
 304| !    | Pause             {unknown}
 305| !    | End               {unknown}
 306| !    | Csn               {unknown}
 307| !    | Auto              {unknown}
#308|      |
#309|      |
#310|      |
#311|      |
#312|      |
#313|      |
#314|      |
#315|      |
#316|      |
#317|      |
#318|      |
#319|      |
 320|      | Mat               matrix
 321|      | Trn               transpose matrix
 322|      | *Row              multiply matrix rows
 323|      | *Row+             multiply rows, then add
 324|      | Row+              add matrix rows
 325|      | Swap              swap matrix rows
#326|      |
#327|      |
#328|      |
#329|      |
#330|      |
#331|      |
#332|      |
 333|      |
#334|      |
 335| !    | \up               delete line
 336|      | \i                square root (-1)
#337|      |
#338|      |
#339|      |
#340|      |
#341|      |
#342|      |
#343|      |
#344|      |
#345|      |
#346|      |
#347|      |
#348|      |
#349|      |
#350|      |
#351|      |
 352|      | Sim Coef          simultaneous equation coefficients
 353|      | Ply Coef          polynomial equation coefficients
#354|      |
#355|      |
#356|      |
#357|      |
#358|      |
#359|      |
#360|      |
#361|      |
#362|      |
#363|      |
#364|      |
#365|      |
#366|      |
#367|      |
 368|      | Sim X             simultaneous equation X
 369|      | Sim Y             simultaneous equation Y
 370|      | Sim Z             simultaneous equation Z
 371|      | Sim T             simultaneous equation T
 372|      | Sim U             simultaneous equation U
 373|      | Sim V             simultaneous equation V
#374|      |
#375|      |
#376|      |
#377|      |
#378|      |
#379|      |
#380|      |
#381|      |
#382|      |
#383|      |
 384|      | Ply X1            polynomial equation X1
 385|      | Ply X2            polynomial equation X2
 386|      | Ply X3            polynomial equation X3
#387|      |
#388|      |
#389|      |
#390|      |
#391|      |
#392|      |
#393|      |
#394|      |
#395|      |
#396|      |
#397|      |
#398|      |
#399|      |
 400|      | F Result          function table result
 401|      | F Start           function table start
 402|      | F End             function table end
 403|      | F pitch           function table pitch
 404|      | R Result          recursion table result
 405|      | R Start           recursion table start
 406|      | R End             recursion table end
 407| !    | R pitch           recursion table pitch
#408|      |
#409|      |
#410|      |
#411|      |
#412|      |
#413|      |
#414|      |
#415|      |
 416| !    | \a(n)             recursion a(n)
 417| !    | \a(n+1)           recursion a(n+1)
 418| !    | \a(n+2)           recursion a(n+2)
 419| !    | \(n)              recursion (n)
 420| !    | \a(0)             recursion a(0)
 421| !    | \a(1)             recursion a(1)
#422|      |
#423|      |
#424|      |
#425|      |
#426|      |
#427|      |
#428|      |
#429|      |
#430|      |
#431|      |
#432|      |
#433|      |
#434|      |
#435|      |
#436|      |
#437|      |
#438|      |
#439|      |
#440|      |
#441|      |
#442|      |
#443|      |
#444|      |
#445|      |
#446|      |
#447|      |
#448|      |
#449|      |
#450|      |
#451|      |
#452|      |
#453|      |
#454|      |
#455|      |
#456|      |
#457|      |
#458|      |
#459|      |
#460|      |
#461|      |
#462|      |
#463|      |
#464|      |
#465|      |
#466|      |
#467|      |
#468|      |
#469|      |
#470|      |
#471|      |
#472|      |
#473|      |
#474|      |
#475|      |
#476|      |
#477|      |
#478|      |
#479|      |
#480|      |
#481|      |
#482|      |
#483|      |
#484|      |
#485|      |
#486|      |
#487|      |
#488|      |
#489|      |
#490|      |
#491|      |
#492|      |
#493|      |
#494|      |
#495|      |
 496|      | \gY               graph Y  (No equals sign!)
 497|      | \gr               graph r
 498|      | \Xt               graph Xt
 499|      | \Yt               graph Yt
#500|      |
#501|      |
#502|      |
#503|      |
#504|      |
#505|      |
#506|      |
#507|      |
#508|      |
#509|      |
#510|      |
#511|      |
